<?php
/**
 * Post meta value map.
 *
 * @package studiare plus
 */

if ( ! defined( 'WOODMART_THEME_DIR' ) ) {
	exit; // Direct access not allowed.
}

if ( ! function_exists( 'woodmart_get_vc_map_tp_order_meta' ) ) {
	/**
	 * Post meta value map.
	 */
	function woodmart_get_vc_map_tp_order_meta() {
		$typography = woodmart_get_typography_map(
			array(
				'key'              => 'typography',
				'selector'         => '{{WRAPPER}}',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			)
		);

		return array(
			'base'        => 'woodmart_tp_order_meta',
			'name'        => esc_html__( 'Order meta', 'studiare-plus' ),
			'description' => esc_html__( 'Shows order details or custom metadata', 'studiare-plus' ),
			'icon'        => WOODMART_ASSETS . '/images/vc-icon/tp-icons/tp-order-meta.svg',
			'category'    => woodmart_get_tab_title_category_for_wpb( esc_html__( 'Thank you page', 'studiare-plus' ) ),
			'params'      => array(
				array(
					'type'       => 'woodmart_css_id',
					'param_name' => 'woodmart_css_id',
				),

				array(
					'heading'          => esc_html__( 'Select order data', 'studiare-plus' ),
					'type'             => 'dropdown',
					'param_name'       => 'order_data',
					'value'            => array(
						esc_html__( 'None', 'studiare-plus' )   => '',
						esc_html__( 'Order ID', 'studiare-plus' ) => 'order_id',
						esc_html__( 'Order date', 'studiare-plus' ) => 'order_date',
						esc_html__( 'Order status', 'studiare-plus' ) => 'order_status',
						esc_html__( 'Order email', 'studiare-plus' ) => 'order_email',
						esc_html__( 'Order total', 'studiare-plus' ) => 'order_total',
						esc_html__( 'Payment method', 'studiare-plus' ) => 'payment_method',
						esc_html__( 'Shipping method', 'studiare-plus' ) => 'shipping_method',
						esc_html__( 'Custom', 'studiare-plus' ) => 'custom',
					),
					'std'              => '',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),

				array(
					'type'       => 'textfield',
					'heading'    => esc_html__( 'Meta key', 'studiare-plus' ),
					'param_name' => 'meta_key',
					'dependency' => array(
						'element' => 'order_data',
						'value'   => array( 'custom' ),
					),
				),

				array(
					'title'      => esc_html__( 'Style', 'studiare-plus' ),
					'type'       => 'woodmart_title_divider',
					'param_name' => 'style_divider',
				),

				array(
					'heading'    => esc_html__( 'Alignment', 'studiare-plus' ),
					'type'       => 'wd_select',
					'param_name' => 'alignment',
					'style'      => 'images',
					'selectors'  => array(),
					'devices'    => array(
						'desktop' => array(
							'value' => 'left',
						),
					),
					'value'      => array(
						esc_html__( 'Left', 'studiare-plus' )   => 'left',
						esc_html__( 'Center', 'studiare-plus' ) => 'center',
						esc_html__( 'Right', 'studiare-plus' )  => 'right',
					),
					'images'     => array(
						'center' => WOODMART_ASSETS_IMAGES . '/settings/align/center.jpg',
						'left'   => WOODMART_ASSETS_IMAGES . '/settings/align/left.jpg',
						'right'  => WOODMART_ASSETS_IMAGES . '/settings/align/right.jpg',
					),
				),

				$typography['font_family'],
				$typography['font_size'],
				$typography['font_weight'],
				$typography['text_transform'],
				$typography['font_style'],
				$typography['line_height'],

				array(
					'heading'          => esc_html__( 'Color', 'studiare-plus' ),
					'type'             => 'wd_colorpicker',
					'param_name'       => 'color',
					'selectors'        => array(
						'{{WRAPPER}}' => array(
							'color: {{VALUE}};',
						),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),

				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS box', 'studiare-plus' ),
					'param_name' => 'css',
					'group'      => esc_html__( 'Design Options', 'studiare-plus' ),
				),

				woodmart_get_vc_responsive_spacing_map(),

				// Width option (with dependency Columns option, responsive).
				woodmart_get_responsive_dependency_width_map( 'responsive_tabs' ),
				woodmart_get_responsive_dependency_width_map( 'width_desktop' ),
				woodmart_get_responsive_dependency_width_map( 'custom_width_desktop' ),
				woodmart_get_responsive_dependency_width_map( 'width_tablet' ),
				woodmart_get_responsive_dependency_width_map( 'custom_width_tablet' ),
				woodmart_get_responsive_dependency_width_map( 'width_mobile' ),
				woodmart_get_responsive_dependency_width_map( 'custom_width_mobile' ),
			),
		);
	}
}
